## ros-humble-ur-description 2.1.1

=== debian/changelog ===
ros-humble-ur-description (2.1.1-1jammy) jammy; urgency=high

  * Update the joint limits for UR20 (#99 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/99>)
  * UR20 description and meshes (#94 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/94>)
    The UR20 meshes are added under Universal Robots A/S’
    Terms and Conditions for Use of Graphical Documentation
    Co-authored-by: Rune Søe-Knudsen <mailto:41109954+urrsk@users.noreply.github.com>
  * Revert "Switch fake to mock for ros2_control updates (#77 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/77>)"
  * Switch fake to mock for ros2_control updates (#77 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/77>)
  * CI: Add iron workflow (#64 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/64>)
  * Contributors: Felix Exner, Sebastian Castro, Rune Søe-Knudsen

 -- Felix Exner <exner@fzi.de>  Fri, 08 Sep 2023 00:00:00 -0000

ros-humble-ur-description (2.1.0-1jammy) jammy; urgency=high

  * added missing handback interface - ros2control mock interface won't work otherwise (#68 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/68>)
    Co-authored-by: Lennart Nachtigall <mailto:lennart.nachtigall@sci-mo.de>
  * remove ticks from tf_prefix (#60 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/60>)
    Co-authored-by: Lennart Nachtigall <mailto:lennart.nachtigall@sci-mo.de>
  * Replace duplicated ``prefix`` parameter with ``tf_prefix``
  * Whitespace fixes
  * Update pre-commit workflows to current versions
  * This commits adds additional configuration fields which are needed for multiarm support: (#47 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/47>)
    - Added trajectory_port        - Port needed for the trajectory sending interface
    - Added non_blocking_read      - Takes control of the update rate from ur interface by immediately returning from the read method
    - Added keep_alive_count field - Configures the amount of allowed reading timeouts on the robot side
    Additionally it adds the ${prefix} argument for the gpios and the force torque sensor in the ur.ros2_control.xacro file
    Co-authored-by: Lennart Nachtigall <mailto:firesurfer@firesurfer.de>
  * Set the default tool voltage in the description to 0 (#41 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/41>)
    I am not sure whether this will actually affect something, as I don't think
    we actually set the value initially, but it still makes sense to keep the
    default tool voltage at 0 to emphasize that by default, this will not be
    set higher.
  * Run prerelease tests on current distros (#44 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/44>)
  * Contributors: Felix Exner, Felix Exner (fexner), Lennart Nachtigall

 -- Felix Exner <exner@fzi.de>  Thu, 01 Jun 2023 00:00:00 -0000

ros-humble-ur-description (2.0.1-1jammy) jammy; urgency=high

  * Add tool voltage and zero ft sensor to command interface (#38 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/38>)
    Added reverse ip and script command interface port as parameters
  * use xacro.load_yaml in favor of deprecated version (#43 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/43>)
    Co-authored-by: aditya <mailto:aditya@nimble.ai>
  * Use mock_components instead of fake_components (#37 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/37>)
    This has been renamed in ros2_control hardware_interface.
  * Prepare for branching out galactic (#39 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/39>)
    * Add Humble to README and workflows
    * Use galactic branch for galactic stuff
  * Contributors: Abishalini Sivaraman, Aditya Agarwal, Felix Exner, Mads Holm Peters

 -- Felix Exner <exner@fzi.de>  Tue, 08 Nov 2022 00:00:00 -0000

ros-humble-ur-description (2.0.0-1jammy) jammy; urgency=high

  * Migrated the description to ROS2
  * Added support for Gazebo and Ignition
  * Added ROS2_control definitions
  * Contributors: AndyZe, Denis Stogl, Denis Štogl, Felix Exner, John Morris, Jorge Nicho, Lovro, Lukas Sackewitz, Marvin Große Besselmann, Robert Wilbrandt, Tirine, Vatan Aksoy Tezer, livanov93, urmahp

 -- Felix Exner <exner@fzi.de>  Thu, 17 Mar 2022 00:00:00 -0000

ros-humble-ur-description (1.2.7-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Sat, 23 Nov 2019 00:00:00 -0000

ros-humble-ur-description (1.2.6-1jammy) jammy; urgency=high

  * Add optional safety_controller tags to all joints in xacro macros (#437 <https://github.com/ros-industrial/universal_robot/issues/437>)
  * Migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Corrected dimensions and positions of inertias (#426 <https://github.com/ros-industrial/universal_robot/issues/426>)
  * Add description view launch files for all descriptions to easily check them (#435 <https://github.com/ros-industrial/universal_robot/issues/435>)
  * Contributors: Felix Mauch, JeremyZoss, Miguel Prada, Qiang Qiu, gavanderhoorn

 -- Felix Exner <exner@fzi.de>  Tue, 19 Nov 2019 00:00:00 -0000

ros-humble-ur-description (1.2.5-1jammy) jammy; urgency=high

  * Add transmission_hw_interface to UR xacro and expose everywhere (#392 <https://github.com/ros-industrial/universal_robot/issues/392>)
  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Updated xacro namespace.
  * Update maintainer and author information.
  * Updated mesh ambience so the model isn't so dark in Gazebo
  * Fix overlapping variable names between robot definition files (#356 <https://github.com/ros-industrial/universal_robot/issues/356>)

