## ros-humble-ur-description 2.1.5

=== debian/changelog ===
ros-humble-ur-description (2.1.5-1bookworm) bookworm; urgency=high

  * Fix multi-line strings in DeclareLaunchArgument ( backport of #140 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/140>) (#153 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/153>)
  * Fix default calibration file for UR30 (#148 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/148>)
  * Contributors: Matthijs van der Burgh, Felix Exner

 -- Felix Exner <exner@fzi.de>  Wed, 24 Apr 2024 16:00:00 -0000

ros-humble-ur-description (2.1.4-1bookworm) bookworm; urgency=high

  * Update Graphical Documentation license to version 1.01 (#143 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/143>)
  * Add UR30 model (#142 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/142>)
  * Make sure the UR5 models are actually standing on the ground (#136 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/pull/136>)
  * Contributors: Felix Exner, RobertWilbrandt, Vincenzo Di Pentima

 -- Felix Exner <exner@fzi.de>  Wed, 03 Apr 2024 16:00:00 -0000

ros-humble-ur-description (2.1.3-1bookworm) bookworm; urgency=high

  * Make ros2_control tag generation optional in macro (#121 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/121>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-ur-description (2.1.2-1bookworm) bookworm; urgency=high

  * Add license comment to package.xml (#107 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/107>)
  * License update for README (#108 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/108>)
  * Default to non_blocking_read=true (#115 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/115>)
  * added possibility to change reverse_port, script_sender_port and trajectory_port (#105 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/105>) (#106 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/106>)
  * Update README regarding distribution branches (#80 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/80>) (#86 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/86>)
  * Contributors: Felix Exner, Rune Søe-Knudsen, mergify[bot]

 -- Felix Exner <exner@fzi.de>  Thu, 16 Nov 2023 16:00:00 -0000

ros-humble-ur-description (2.1.1-1bookworm) bookworm; urgency=high

  * Update the joint limits for UR20 (#99 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/99>)
  * UR20 description and meshes (#94 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/94>)
    The UR20 meshes are added under Universal Robots A/S’
    Terms and Conditions for Use of Graphical Documentation
    Co-authored-by: Rune Søe-Knudsen <mailto:41109954+urrsk@users.noreply.github.com>
  * Revert "Switch fake to mock for ros2_control updates (#77 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/77>)"
  * Switch fake to mock for ros2_control updates (#77 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/77>)
  * CI: Add iron workflow (#64 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/64>)
  * Contributors: Felix Exner, Sebastian Castro, Rune Søe-Knudsen

 -- Felix Exner <exner@fzi.de>  Thu, 07 Sep 2023 16:00:00 -0000

ros-humble-ur-description (2.1.0-1bookworm) bookworm; urgency=high

  * added missing handback interface - ros2control mock interface won't work otherwise (#68 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/68>)
    Co-authored-by: Lennart Nachtigall <mailto:lennart.nachtigall@sci-mo.de>
  * remove ticks from tf_prefix (#60 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/60>)
    Co-authored-by: Lennart Nachtigall <mailto:lennart.nachtigall@sci-mo.de>
  * Replace duplicated ``prefix`` parameter with ``tf_prefix``
  * Whitespace fixes
  * Update pre-commit workflows to current versions
  * This commits adds additional configuration fields which are needed for multiarm support: (#47 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/47>)
    - Added trajectory_port        - Port needed for the trajectory sending interface
    - Added non_blocking_read      - Takes control of the update rate from ur interface by immediately returning from the read method
    - Added keep_alive_count field - Configures the amount of allowed reading timeouts on the robot side
    Additionally it adds the ${prefix} argument for the gpios and the force torque sensor in the ur.ros2_control.xacro file
    Co-authored-by: Lennart Nachtigall <mailto:firesurfer@firesurfer.de>
  * Set the default tool voltage in the description to 0 (#41 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/41>)
    I am not sure whether this will actually affect something, as I don't think
    we actually set the value initially, but it still makes sense to keep the
    default tool voltage at 0 to emphasize that by default, this will not be
    set higher.
  * Run prerelease tests on current distros (#44 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/44>)
  * Contributors: Felix Exner, Felix Exner (fexner), Lennart Nachtigall

 -- Felix Exner <exner@fzi.de>  Wed, 31 May 2023 16:00:00 -0000

ros-humble-ur-description (2.0.1-1bookworm) bookworm; urgency=high

  * Add tool voltage and zero ft sensor to command interface (#38 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/38>)
    Added reverse ip and script command interface port as parameters

